Subject: Re: bug#16740: 24.2; Please allow C-p and C-n in minibuffer

From: Stefan Monnier <[email-masked]>
Date: Thu, 13 Feb 2014 08:46:05 -0500

> I think the best way to resolve it is to make C-p and C-n work in
> the Emacs minibuffer to get the previous and next lines from the
> history, just as M-p and M-n do.

Directly binding C-p and C-n to the same commands as M-p and M-n is not
really an option, since we need the current behavior for multiline
editing (and even filenames without newlines can span multiple lines,
if the file name is ling enough to cause wrapping).

But we could make C-p/C-n jump to the previous/next history element
when called from the first/last line, which would combine both behaviors.
The implementation should be careful to make sure that C-p followed by
C-n brings you back to the same position (same for C-n followed by C-p),
otherwise such behavior can get irritating when you accidentally hit C-p
from the first line.

        Stefan